## org.eclipse.emf.edit.ui.action
Class ValidateAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.emf.edit.ui.action.ValidateAction

All Implemented Interfaces:
  IAction, ISelectionChangedListener

    public class ValidateAction

extends Action
implements ISelectionChangedListener

Nested Class Summary
`static class` `ValidateAction.EclipseResourcesUtil`

Field Summary
`protected EditingDomain` `domain`
`protected ValidateAction.EclipseResourcesUtil` `eclipseResourcesUtil`
`protected java.util.List<EObject>` `selectedObjects`
`protected ISelectionProvider` `selectionProvider`

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`ValidateAction()`

Method Summary
`protected Diagnostician` `createDiagnostician(AdapterFactory adapterFactory, IProgressMonitor progressMonitor)`
`protected void` `handleDiagnostic(Diagnostic diagnostic)`
`void` `run()`
`void` `selectionChanged(SelectionChangedEvent event)`
`void` `setActiveWorkbenchPart(IWorkbenchPart workbenchPart)`
`boolean` `updateSelection(IStructuredSelection selection)`
`protected Diagnostic` `validate(IProgressMonitor progressMonitor)` This simply execute the command.

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### selectionProvider

    protected ISelectionProvider selectionProvider

### selectedObjects

    protected java.util.List<EObject> selectedObjects

### domain

    protected EditingDomain domain

### eclipseResourcesUtil

    protected ValidateAction.EclipseResourcesUtil eclipseResourcesUtil

Constructor Detail

### ValidateAction

    public ValidateAction()

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`

### validate

    protected Diagnostic validate(IProgressMonitor progressMonitor)

  This simply execute the command.

### createDiagnostician

    protected Diagnostician createDiagnostician(AdapterFactory adapterFactory,
                                                IProgressMonitor progressMonitor)

### handleDiagnostic

    protected void handleDiagnostic(Diagnostic diagnostic)

### selectionChanged

    public void selectionChanged(SelectionChangedEvent event)

  Specified by:
    `selectionChanged` in interface `ISelectionChangedListener`

### updateSelection

    public boolean updateSelection(IStructuredSelection selection)

### setActiveWorkbenchPart

    public void setActiveWorkbenchPart(IWorkbenchPart workbenchPart)

  Since:
    2.1.0

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.